Subject: [dmarc-ietf] DMARC Specific Organizational Boundary Determination

From: Scott Kitterman <[email-masked]>
Date: Wed, 21 Nov 2018 02:43:37 -0500

While we were discussing the Public Suffix Domain DMARC draft, there seemed to 
be a fair amount of juice on this topic.  I'd suggest further discussions in 
this thread.

Scott K